%define builtin_release_version 1 
%define builtin_release_name October 
%define builtin_release_variant 4
%define real_release_version %{?release_version}%{!?release_version:%{builtin_release_version}}
%define real_release_name %{?release_name}%{!?release_name:%{builtin_release_name}}
%define current_arch %{_arch}
%ifarch i386
%define current_arch x86
%endif
Summary: Enterprise Linux release file
Name: enterprise-release
Version: 4
Release: 3.6
Epoch: 6 
License: GPL
Group: System Environment/Base
Source: enterprise-release-%{version}.tar.gz
Provides: enterprise-release
Obsoletes: rawhide-release redhat-release-as redhat-release-es redhat-release-ws
Obsoletes: redhat-release-de tao-release whitebox-release redhat-release oracle-release
Obsoletes: anaconda-product
BuildRoot: %{_tmppath}/redhat-release-root

%description
System release and information files

%prep
%setup -q -n enterprise-release-%{version}

%%build 
python -c "import py_compile; py_compile.compile('eula.py')"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
echo "Enterprise Linux Enterprise Linux AS release 4 (%{real_release_name} Update 4)" > $RPM_BUILD_ROOT/etc/enterprise-release
echo "Enterprise Linux Enterprise Linux AS release 4 (%{real_release_name} Update 4)" > $RPM_BUILD_ROOT/etc/redhat-release
cp $RPM_BUILD_ROOT/etc/enterprise-release $RPM_BUILD_ROOT/etc/issue
echo "Kernel \r on an \m" >> $RPM_BUILD_ROOT/etc/issue
cp $RPM_BUILD_ROOT/etc/issue $RPM_BUILD_ROOT/etc/issue.net
echo >> $RPM_BUILD_ROOT/etc/issue

mkdir -p $RPM_BUILD_ROOT/usr/share/firstboot/modules
cp eula.py* $RPM_BUILD_ROOT/usr/share/firstboot/modules

mkdir -p $RPM_BUILD_ROOT/usr/share/eula
cp eula.[!py]* $RPM_BUILD_ROOT/usr/share/eula

mkdir -p $RPM_BUILD_ROOT/var/lib
cp supportinfo $RPM_BUILD_ROOT/var/lib/supportinfo

mkdir -p -m 755 $RPM_BUILD_ROOT/etc/sysconfig/rhn
install -m 644 sources $RPM_BUILD_ROOT/etc/sysconfig/rhn

%clean
rm -rf $RPM_BUILD_ROOT

# If this is the first time a package containing /etc/issue
# is installed, we want the new files there. Otherwise, we
# want %config(noreplace) to take precedence.
%triggerpostun  -- redhat-release < 7.1.93-1
if [ -f /etc/issue.rpmnew ] ; then
   mv -f /etc/issue /etc/issue.rpmsave
   mv -f /etc/issue.rpmnew /etc/issue
fi
if [ -f /etc/issue.net.rpmnew ] ; then
   mv -f /etc/issue.net /etc/issue.net.rpmsave
   mv -f /etc/issue.net.rpmnew /etc/issue.net
fi

%files
%defattr(-,root,root)
%attr(0644,root,root) /etc/redhat-release
%attr(0644,root,root) /etc/enterprise-release
%doc R*
%doc EULA GPL enterprisedocs-man.css
%dir /etc/sysconfig/rhn
%config(noreplace) /etc/sysconfig/rhn/sources
%config(noreplace) %attr(0644,root,root) /etc/issue
%config(noreplace) %attr(0644,root,root) /etc/issue.net
/var/lib/supportinfo
/usr/share/firstboot/modules/eula.py*
/usr/share/eula/eula.*

%changelog
* Tue May 24 2006 Philip Copeland <philip.copeland>
- new license 

* Mon May 22 2006 Philip Copeland <philip.copeland>
- obsolete anacond-product

* Mon May 22 2006 Philip Copeland <philip.copeland>
- Oracleized

* Mon Jan  2 2006 Johnny Hughes <johnny@centos.org>
- Modified to obsolete and provide redhat-release instead
  of just providing it.
- Modified to config(noreplace) /etc/issue and /etc/issue.net

* Sun Oct  9 2005 Johnny Hughes <johnny@centos.org>
- Initial release for CentOS-4.2 Final 

* Sun Apr 10 2005 Johnny Hughes <johnny@centos.org>
- Initial release for CentOS-4.1 final

* Sun Feb 27 2005 Johnny Hughes <johnny@centos.org>
- added new release notes for CentOS-4 final
